package edu.sc.seis.cormorant;

import java.util.Properties;
import org.omg.CORBA.ORB;
import edu.sc.seis.fissuresUtil.database.ConnectionCreator;

public abstract class DBProvidingAbstractController extends AbstractController {

    public DBProvidingAbstractController(Properties confProps,
                                         String serverPropName,
                                         ORB orb) {
        super(confProps, serverPropName, orb);
        Properties dbProperties = ConnectionCreator.loadDbPropsFromHSQLProps();
        dbProperties.putAll(ConnectionCreator.loadDbPropsFromOtherProps(confProps));
        dbConnCreator = new ConnectionCreator(dbProperties);
    }

    protected ConnectionCreator dbConnCreator;
}
